# nodejs

Node.js installed via NodeSource Binary Distribution

Configuration options:


- `nodejs_version`: version of NodeJS specified in the format described in the
  [NodeSource binary distribution
  docs](https://github.com/nodesource/distributions). Default is 12.x

- `nodejs_npm_modules`: list of globally installed npm packages. Currently
  installs the newest versions.

## Example Playbook

```yaml
- hosts: all
  vars:
    nodejs_version: "node_12.x"
  roles:
    - nodejs

```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
